- Tax Entities
- Create a tax entity
Tax Entities
Create a tax entity
Create an individual or business tax entity for a taxpayer.
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"type": "IrsSsn",
"tin": "string",
"externalId": "string",
"firstName": "string",
"lastName": "string",
"businessName": "string",
"address": {
"address1": "string",
"address2": "string",
"apartmentOrSuite": "string",
"poBox": "string",
"city": "string",
"region": "string",
"country": "string",
"postalCode": "string"
},
"email": "string",
"phone": "string",
"filingStatus": "Single",
"regionalTaxRegistrations": [
{}
]
}'Authorizations
Query Parameters
Unique identifier of the taxpayer.
API key of your Client Application.
Body
The type of tax entity. IrsSsn for individuals, IrsEin for businesses.
The Tax Identification Number (SSN or EIN).
Optional external identifier provided by the client.
The first name of the individual (required for IrsSsn).
The last name of the individual (required for IrsSsn).
The business name (required for IrsEin).
The address information (optional, for all types).
Email address. Optional. Only applicable to individual entities (IrsSsn); ignored for IrsEin.
Phone number (optional, for all types).
Filing status (optional, for IrsSsn only).
Regional tax registrations (optional, for IrsEin only).
Response
201
400
401
403
404
409
Created
The unique identifier of the resource.
The external identifier provided by the client.
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--header 'Content-Type: application/json' \
--data '{
"type": "IrsSsn",
"tin": "string",
"externalId": "string",
"firstName": "string",
"lastName": "string",
"businessName": "string",
"address": {
"address1": "string",
"address2": "string",
"apartmentOrSuite": "string",
"poBox": "string",
"city": "string",
"region": "string",
"country": "string",
"postalCode": "string"
},
"email": "string",
"phone": "string",
"filingStatus": "Single",
"regionalTaxRegistrations": [
{}
]
}'